import { Route } from '@angular/router';

import { ListComponent } from './components/list.component';
import { ViewComponent } from '../user/components/view.component';

import { PartnerStoresResolver } from './resolvers/partner-store.resolver';
import { UserResolver } from '../user/resolvers/user.resolver';

export const partnerStoreRoutes: Route[] = [
  {
    path: '',
    component: ListComponent,
    resolve: {
      partnerStores: PartnerStoresResolver,
    },
  },
  {
    path: ':id',
    component: ViewComponent,
    resolve: {
      users: UserResolver,
    },
  },
];
